package net.wanji.utc.mapper;

import net.wanji.utc.po.ManufacturerInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 16:48
 */
public interface ManufacturerInfoMapper {

    ManufacturerInfoPO selectByCode(@Param("code") String code);

    ManufacturerInfoPO selectById(@Param("manufacturerId") Integer manufacturerId);

    List<ManufacturerInfoPO> selectAll();

    List<ManufacturerInfoPO> selectByOptionalPartialName(@Param("name") String name);

    void insertOne(ManufacturerInfoPO manufacturerInfoPO);

    void updateOne(ManufacturerInfoPO manufacturerInfoPO);

    void deleteBatch(@Param("ids") List<Integer> ids);

    Integer selectIdByNick(@Param("manufacturerNick") String manufacturerNick);

    String selectNickById(@Param("manufacturerId") Integer manufacturerId);
}
