package net.wanji.utc.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import net.wanji.utc.common.baseentity.BaseCrossInfo;

/**
 * @author Kent HAN
 * @date 2022/11/21 9:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class RunningStatusVO extends BaseCrossInfo {
    // 信号状态：0离线；1在线
    private Integer status;

    // 故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄
    private Integer faultType;

    // 控制模式：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动
    private Integer controlType;
}
