package net.wanji.utc.mapper;

import net.wanji.utc.po.ManufacturerApiInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/15 15:31
 */
public interface ManufacturerApiInfoMapper {
    List<ManufacturerApiInfoPO> selectAll();

    List<ManufacturerApiInfoPO> selectByOptionals(@Param("name") String name,
                                                  @Param("typeCode")Integer typeCode,
                                                  @Param("manufacturerId")Integer manufacturerId);

    void insertOne(ManufacturerApiInfoPO manufacturerApiInfoPO);

    void updateOne(ManufacturerApiInfoPO manufacturerApiInfoPO);

    void deleteBatch(@Param("ids") List<Integer> ids);
}
